<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BoxCollidingParams Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d47/class_box_colliding_params.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">BoxCollidingParams Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class" title="Super root of all classes in Enforce script.">Class</a> that holds parameters to feed into <a class="el" href="../../d2/de6/class_c_game.html#a3c141166aef994cfd52c9eaa7e8d8665">CGame.IsBoxCollidingGeometryProxy</a>.  
 <a href="../../da/d47/class_box_colliding_params.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a34d684eab590842b72771c277df26e7d"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d47/class_box_colliding_params.html#a34d684eab590842b72771c277df26e7d">SetParams</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> center, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation, <a class="el" href="../../d7/dfc/classvector.html">vector</a> edgeLength, ObjIntersect primaryType, ObjIntersect secondaryType, <a class="el" href="../../d9/db9/classbool.html">bool</a> fullComponentInfo)</td></tr>
<tr class="memdesc:a34d684eab590842b72771c277df26e7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the parameters.  <a href="../../da/d47/class_box_colliding_params.html#a34d684eab590842b72771c277df26e7d">More...</a><br /></td></tr>
<tr class="separator:a34d684eab590842b72771c277df26e7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class" title="Super root of all classes in Enforce script.">Class</a> that holds parameters to feed into <a class="el" href="../../d2/de6/class_c_game.html#a3c141166aef994cfd52c9eaa7e8d8665">CGame.IsBoxCollidingGeometryProxy</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00002">2</a> of file <a class="el" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html">IsBoxCollidingGeometryProxyClasses.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a34d684eab590842b72771c277df26e7d" name="a34d684eab590842b72771c277df26e7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34d684eab590842b72771c277df26e7d">&#9670;&#160;</a></span>SetParams()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void BoxCollidingParams::SetParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>center</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>edgeLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ObjIntersect&#160;</td>
          <td class="paramname"><em>primaryType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ObjIntersect&#160;</td>
          <td class="paramname"><em>secondaryType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>fullComponentInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the parameters. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">center</td><td><code>vector</code> Center of box </td></tr>
    <tr><td class="paramname">orientation</td><td><code>vector</code> Orientation of box </td></tr>
    <tr><td class="paramname">edgeLength</td><td><code>vector</code> EdgeLength of box </td></tr>
    <tr><td class="paramname">primaryType</td><td><code>vector</code> Primary geometry to check </td></tr>
    <tr><td class="paramname">secondaryType</td><td><code>vector</code> Secondary geometry to check (if no backup is needed, fill in the same as for primaryType) </td></tr>
    <tr><td class="paramname">fullComponentInfo</td><td><code>vector</code> When true gives information about every component and proxy in box, when false just the first component found </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html">IsBoxCollidingGeometryProxyClasses.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d47/class_box_colliding_params.html">BoxCollidingParams</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
